# HTTPWebService
> HTTP Web相关管理服务

---

## createHTTPWeb
> 创建Web配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/createHTTPWeb`
- RPC：`rpc createHTTPWeb (CreateHTTPWebRequest) returns (CreateHTTPWebResponse);`

**请求对象 (`CreateHTTPWebRequest`)**

```json
{
  "rootJSON": "bytes // 可选，静态分发配置"
}
```

**响应对象 (`CreateHTTPWebResponse`)**

```json
{
  "httpWebId": "int64"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/createHTTPWeb" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledHTTPWeb
> 查找Web信息

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findEnabledHTTPWeb`
- RPC：`rpc findEnabledHTTPWeb (FindEnabledHTTPWebRequest) returns (FindEnabledHTTPWebResponse);`

**请求对象 (`FindEnabledHTTPWebRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindEnabledHTTPWebResponse`)**

```json
{
  "httpWeb": "HTTPWeb"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findEnabledHTTPWeb" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findEnabledHTTPWebConfig
> 查找Web配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findEnabledHTTPWebConfig`
- RPC：`rpc findEnabledHTTPWebConfig (FindEnabledHTTPWebConfigRequest) returns (FindEnabledHTTPWebConfigResponse);`

**请求对象 (`FindEnabledHTTPWebConfigRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindEnabledHTTPWebConfigResponse`)**

```json
{
  "httpWebJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findEnabledHTTPWebConfig" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebActiveDefense
> 查找主动防御设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebActiveDefense`
- RPC：`rpc findHTTPWebActiveDefense(FindHTTPWebActiveDefenseRequest) returns (FindHTTPWebActiveDefenseResponse);`

**请求对象 (`FindHTTPWebActiveDefenseRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebActiveDefenseResponse`)**

```json
{
  "defenseJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebActiveDefense" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebCC
> 查找CC设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebCC`
- RPC：`rpc findHTTPWebCC(FindHTTPWebCCRequest) returns (FindHTTPWebCCResponse);`

**请求对象 (`FindHTTPWebCCRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebCCResponse`)**

```json
{
  "ccJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebCC" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebHLS
> 查找HLS设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebHLS`
- RPC：`rpc findHTTPWebHLS(FindHTTPWebHLSRequest) returns (FindHTTPWebHLSResponse);`

**请求对象 (`FindHTTPWebHLSRequest`)**

```json
{
  "httpWebId": "int64 // Web配置ID"
}
```

**响应对象 (`FindHTTPWebHLSResponse`)**

```json
{
  "hlsJSON": "bytes // HLS配置"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebHLS" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebHostRedirects
> 查找主机跳转设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebHostRedirects`
- RPC：`rpc findHTTPWebHostRedirects (FindHTTPWebHostRedirectsRequest) returns (FindHTTPWebHostRedirectsResponse);`

**请求对象 (`FindHTTPWebHostRedirectsRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebHostRedirectsResponse`)**

```json
{
  "hostRedirectsJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebHostRedirects" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebReferers
> 查找防盗链设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebReferers`
- RPC：`rpc findHTTPWebReferers(FindHTTPWebReferersRequest) returns (FindHTTPWebReferersResponse);`

**请求对象 (`FindHTTPWebReferersRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebReferersResponse`)**

```json
{
  "referersJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebReferers" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebRequestLimit
> 查找请求限制

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebRequestLimit`
- RPC：`rpc findHTTPWebRequestLimit(FindHTTPWebRequestLimitRequest) returns (FindHTTPWebRequestLimitResponse);`

**请求对象 (`FindHTTPWebRequestLimitRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebRequestLimitResponse`)**

```json
{
  "requestLimitJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebRequestLimit" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebRequestScripts
> 查找请求脚本

- 角色：`admin`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebRequestScripts`
- RPC：`rpc findHTTPWebRequestScripts(FindHTTPWebRequestScriptsRequest) returns (FindHTTPWebRequestScriptsResponse);`

**请求对象 (`FindHTTPWebRequestScriptsRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebRequestScriptsResponse`)**

```json
{
  "requestScriptsJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebRequestScripts" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebUAM
> 查找UAM设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebUAM`
- RPC：`rpc findHTTPWebUAM(FindHTTPWebUAMRequest) returns (FindHTTPWebUAMResponse);`

**请求对象 (`FindHTTPWebUAMRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebUAMResponse`)**

```json
{
  "uamJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebUAM" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findHTTPWebUserAgent
> 查找UserAgent设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findHTTPWebUserAgent`
- RPC：`rpc findHTTPWebUserAgent(FindHTTPWebUserAgentRequest) returns (FindHTTPWebUserAgentResponse);`

**请求对象 (`FindHTTPWebUserAgentRequest`)**

```json
{
  "httpWebId": "int64"
}
```

**响应对象 (`FindHTTPWebUserAgentResponse`)**

```json
{
  "userAgentJSON": "bytes"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findHTTPWebUserAgent" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## findServerIdWithHTTPWebId
> 根据WebId查找ServerId

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/findServerIdWithHTTPWebId`
- RPC：`rpc findServerIdWithHTTPWebId(FindServerIdWithHTTPWebIdRequest) returns (FindServerIdWithHTTPWebIdResponse);`

**请求对象 (`FindServerIdWithHTTPWebIdRequest`)**

```json
{
  "httpWebId": "int64 // Web设置ID"
}
```

**响应对象 (`FindServerIdWithHTTPWebIdResponse`)**

```json
{
  "serverId": "int64 // 网站ID"
}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/findServerIdWithHTTPWebId" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWeb
> 更改Web配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWeb`
- RPC：`rpc updateHTTPWeb (UpdateHTTPWebRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRequest`)**

```json
{
  "httpWebId": "int64",
  "rootJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWeb" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebAccessLog
> 更改访问日志配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebAccessLog`
- RPC：`rpc updateHTTPWebAccessLog (UpdateHTTPWebAccessLogRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebAccessLogRequest`)**

```json
{
  "httpWebId": "int64",
  "accessLogJSON": "bytes // json:http_access_log_ref"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebAccessLog" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebActiveDefense
> 更改主动防御设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebActiveDefense`
- RPC：`rpc updateHTTPWebActiveDefense (UpdateHTTPWebActiveDefenseRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebActiveDefenseRequest`)**

```json
{
  "httpWebId": "int64",
  "activeDefenseJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebActiveDefense" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebAuth
> 更改认证设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebAuth`
- RPC：`rpc updateHTTPWebAuth (UpdateHTTPWebAuthRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebAuthRequest`)**

```json
{
  "httpWebId": "int64",
  "authJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebAuth" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebCC
> 修改CC设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCC`
- RPC：`rpc updateHTTPWebCC(UpdateHTTPWebCCRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebCCRequest`)**

```json
{
  "httpWebId": "int64",
  "ccJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCC" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebCache
> 更改缓存配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCache`
- RPC：`rpc updateHTTPWebCache (UpdateHTTPWebCacheRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebCacheRequest`)**

```json
{
  "httpWebId": "int64",
  "cacheJSON": "bytes // json:http_cache_config"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCache" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebCharset
> 更改字符集配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCharset`
- RPC：`rpc updateHTTPWebCharset (UpdateHTTPWebCharsetRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebCharsetRequest`)**

```json
{
  "httpWebId": "int64",
  "charsetJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCharset" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebCommon
> 更改通用设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCommon`
- RPC：`rpc updateHTTPWebCommon(UpdateHTTPWebCommonRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebCommonRequest`)**

```json
{
  "httpWebId": "int64",
  "mergeSlashes": "bool"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCommon" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebCompression
> 更改压缩配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCompression`
- RPC：`rpc updateHTTPWebCompression (UpdateHTTPWebCompressionRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebCompressionRequest`)**

```json
{
  "httpWebId": "int64",
  "compressionJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebCompression" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebFastcgi
> 更改Fastcgi设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebFastcgi`
- RPC：`rpc updateHTTPWebFastcgi (UpdateHTTPWebFastcgiRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebFastcgiRequest`)**

```json
{
  "httpWebId": "int64",
  "fastcgiJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebFastcgi" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebFirewall
> 更改防火墙设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebFirewall`
- RPC：`rpc updateHTTPWebFirewall (UpdateHTTPWebFirewallRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebFirewallRequest`)**

```json
{
  "httpWebId": "int64",
  "firewallJSON": "bytes // json:http_firewall_ref"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebFirewall" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebGlobalPagesEnabled
> 更改系统自定义页面启用状态

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebGlobalPagesEnabled`
- RPC：`rpc updateHTTPWebGlobalPagesEnabled(UpdateHTTPWebGlobalPagesEnabledRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebGlobalPagesEnabledRequest`)**

```json
{
  "httpWebId": "int64 // Web ID",
  "isEnabled": "bool // 是否启用"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebGlobalPagesEnabled" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebHLS
> 修改HLS设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebHLS`
- RPC：`rpc updateHTTPWebHLS(UpdateHTTPWebHLSRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebHLSRequest`)**

```json
{
  "httpWebId": "int64 // Web配置ID",
  "hlsJSON": "bytes // HLS配置"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebHLS" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebHostRedirects
> 更改主机跳转设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebHostRedirects`
- RPC：`rpc updateHTTPWebHostRedirects (UpdateHTTPWebHostRedirectsRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebHostRedirectsRequest`)**

```json
{
  "httpWebId": "int64",
  "hostRedirectsJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebHostRedirects" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebLocations
> 更改路径规则配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebLocations`
- RPC：`rpc updateHTTPWebLocations (UpdateHTTPWebLocationsRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebLocationsRequest`)**

```json
{
  "httpWebId": "int64",
  "locationsJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebLocations" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebOptimization
> 更改页面优化配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebOptimization`
- RPC：`rpc updateHTTPWebOptimization(UpdateHTTPWebOptimizationRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebOptimizationRequest`)**

```json
{
  "httpWebId": "int64",
  "optimizationJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebOptimization" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebPages
> 更改Pages

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebPages`
- RPC：`rpc updateHTTPWebPages (UpdateHTTPWebPagesRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebPagesRequest`)**

```json
{
  "httpWebId": "int64",
  "pagesJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebPages" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRedirectToHTTPS
> 更改跳转到HTTPS设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRedirectToHTTPS`
- RPC：`rpc updateHTTPWebRedirectToHTTPS (UpdateHTTPWebRedirectToHTTPSRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRedirectToHTTPSRequest`)**

```json
{
  "httpWebId": "int64",
  "redirectToHTTPSJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRedirectToHTTPS" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebReferers
> 修改防盗链设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebReferers`
- RPC：`rpc updateHTTPWebReferers(UpdateHTTPWebReferersRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebReferersRequest`)**

```json
{
  "httpWebId": "int64",
  "referersJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebReferers" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRemoteAddr
> 更改RemoteAddr配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRemoteAddr`
- RPC：`rpc updateHTTPWebRemoteAddr(UpdateHTTPWebRemoteAddrRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRemoteAddrRequest`)**

```json
{
  "httpWebId": "int64",
  "remoteAddrJSON": "bytes // json:http_remote_addr_config"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRemoteAddr" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRequestHeader
> 更改请求Header策略

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestHeader`
- RPC：`rpc updateHTTPWebRequestHeader (UpdateHTTPWebRequestHeaderRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRequestHeaderRequest`)**

```json
{
  "httpWebId": "int64",
  "headerJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestHeader" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRequestLimit
> 修改请求限制

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestLimit`
- RPC：`rpc updateHTTPWebRequestLimit(UpdateHTTPWebRequestLimitRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRequestLimitRequest`)**

```json
{
  "httpWebId": "int64",
  "requestLimitJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestLimit" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRequestScripts
> 修改请求脚本

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestScripts`
- RPC：`rpc updateHTTPWebRequestScripts(UpdateHTTPWebRequestScriptsRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRequestScriptsRequest`)**

```json
{
  "httpWebId": "int64",
  "requestScriptsJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRequestScripts" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebResponseHeader
> 更改响应Header策略

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebResponseHeader`
- RPC：`rpc updateHTTPWebResponseHeader (UpdateHTTPWebResponseHeaderRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebResponseHeaderRequest`)**

```json
{
  "httpWebId": "int64",
  "headerJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebResponseHeader" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebRewriteRules
> 更改重写规则设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRewriteRules`
- RPC：`rpc updateHTTPWebRewriteRules (UpdateHTTPWebRewriteRulesRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebRewriteRulesRequest`)**

```json
{
  "httpWebId": "int64",
  "rewriteRulesJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebRewriteRules" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebShutdown
> 更改Shutdown

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebShutdown`
- RPC：`rpc updateHTTPWebShutdown (UpdateHTTPWebShutdownRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebShutdownRequest`)**

```json
{
  "httpWebId": "int64",
  "shutdownJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebShutdown" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebStat
> 更改统计配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebStat`
- RPC：`rpc updateHTTPWebStat (UpdateHTTPWebStatRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebStatRequest`)**

```json
{
  "httpWebId": "int64",
  "statJSON": "bytes // json:http_stat_stat_ref"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebStat" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebUAM
> 修改UAM设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebUAM`
- RPC：`rpc updateHTTPWebUAM(UpdateHTTPWebUAMRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebUAMRequest`)**

```json
{
  "httpWebId": "int64",
  "uamJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebUAM" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebUserAgent
> 修改UserAgent设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebUserAgent`
- RPC：`rpc updateHTTPWebUserAgent(UpdateHTTPWebUserAgentRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebUserAgentRequest`)**

```json
{
  "httpWebId": "int64",
  "userAgentJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebUserAgent" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebWebP
> 更改WebP配置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebWebP`
- RPC：`rpc updateHTTPWebWebP (UpdateHTTPWebWebPRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebWebPRequest`)**

```json
{
  "httpWebId": "int64",
  "webpJSON": "bytes"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebWebP" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---

## updateHTTPWebWebsocket
> 更改Websocket设置

- 角色：`admin`, `user`
- HTTP：`POST https://backend.dooki.cloud/HTTPWebService/updateHTTPWebWebsocket`
- RPC：`rpc updateHTTPWebWebsocket (UpdateHTTPWebWebsocketRequest) returns (RPCSuccess);`

**请求对象 (`UpdateHTTPWebWebsocketRequest`)**

```json
{
  "httpWebId": "int64",
  "websocketJSON": "bytes // json:http_websocket_ref"
}
```

**响应对象 (`RPCSuccess`)**

```json
{}
```

**调用示例**

```bash
curl -X POST "https://backend.dooki.cloud/HTTPWebService/updateHTTPWebWebsocket" \
  -H "Content-Type: application/json" \
  -H "X-Edge-Access-Token: <YOUR_TOKEN>" \
  -d '{
    ...
  }'
```

---
